<script setup lang="ts">
import _ from 'lodash'

const props = defineProps<{
  account: string
  link: string
}>()
const router = useRouter()
</script>

<template>
  <div
    class="py-2 px-4 border-2 border-blue-300 rounded-md bg-blue-800/30 cursor-pointer"
    @click="() => router.push(props.link)"
  >
    <h2 class="text-4xl my-4">
      {{ _.capitalize(props.account) }}
    </h2>
    <slot />
  </div>
</template>

<style scoped></style>
